Public Attributes | List of all members
iso_big_create_sync_est_evt_t Struct Reference
BLE » Core Isochronous Channels | BLE » Logical Link Control and Adaptation Protocol (L2CAP) » Structures

The parameter for creating big sync complete event. More...

`#include <ble_iso.h>`

## Public Attributes
uint8_t | status
uint8_t | big_hdl
uint32_t | big_trans_latency
uint8_t | nse
uint8_t | bn
uint8_t | pto
uint8_t | irc
uint16_t | max_pdu
uint16_t | iso_interval
uint8_t | num_bis
uint16_t * | bis_hdl

## Detailed Description

The parameter for creating big sync complete event.

Definition at line 508 of file ble_iso.h.

## Member Data Documentation

## ◆ big_hdl

uint8_t iso_big_create_sync_est_evt_t::big_hdl

Used as the identifier of the BIG (Range 0x00 to 0xEF).

Definition at line 511 of file ble_iso.h.

## ◆ big_trans_latency

uint32_t iso_big_create_sync_est_evt_t::big_trans_latency

The maximum delay time, in microseconds, for transmission of SDUs of all BISes(Range 0x0000EA to 0x7FFFFF).

Definition at line 512 of file ble_iso.h.

## ◆ bis_hdl

uint16_t* iso_big_create_sync_est_evt_t::bis_hdl

The connection handles of the BISs, (Range: 0x0000 to 0x0EFF).

Definition at line 520 of file ble_iso.h.

## ◆ bn

uint8_t iso_big_create_sync_est_evt_t::bn

The number of new payloads in each BIS event, range 0x01-0x07.

Definition at line 514 of file ble_iso.h.

## ◆ irc

uint8_t iso_big_create_sync_est_evt_t::irc

The number of times a payload is transmitted in a BIS event, range 0x01-0x0F.

Definition at line 516 of file ble_iso.h.

## ◆ iso_interval

uint16_t iso_big_create_sync_est_evt_t::iso_interval

ISO interval (1.25ms unit, range: 5ms to 4s).

Definition at line 518 of file ble_iso.h.

## ◆ max_pdu

uint16_t iso_big_create_sync_est_evt_t::max_pdu

Maximum size of the payload in octets, range 0x00-0xFB.

Definition at line 517 of file ble_iso.h.

## ◆ nse

uint8_t iso_big_create_sync_est_evt_t::nse

The number of subevents in each BIS event in the BIG, range 0x01-0x1E.

Definition at line 513 of file ble_iso.h.

## ◆ num_bis

uint8_t iso_big_create_sync_est_evt_t::num_bis

Total number of BISs in the BIG.(Range 0x01 to 0x1F).

Definition at line 519 of file ble_iso.h.

## ◆ pto

uint8_t iso_big_create_sync_est_evt_t::pto

Offset used for pre-transmissions, range 0x00-0x0F.

Definition at line 515 of file ble_iso.h.

## ◆ status

uint8_t iso_big_create_sync_est_evt_t::status

0x00: Synchronization to BIG has been completed.0x01 to 0xFF: Synchronization to BIG failed to be completed.

Definition at line 510 of file ble_iso.h.

The documentation for this struct was generated from the following file:

- ble_iso.h